Subject: problems with make, sh, etc. (b19)
From: [email-masked] (Kelly Felkins)

15 Mar 1998 01:46:39 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

Hi folks,

I upgraded to beta 19 and now one of my make files is not working.  I've
reduced the makefile to 1 target that demonstrates the problem. This
target does an 'rm -f *.class' recursively down the directory tree. The
problem seems to be with the if line:

 	if [ -d $$PACKAGE -a ! -h $$PACKAGE ]; then \

I didn't write the makefile (its by Garth A. Dickie) and I only have a
vague idea of how it works.

The 1 target version of the makefile and the messages I get when I do
the make follow.

The makefile:
---------------------
clean :
	@ \
	doclean( ) { \
		echo "rm -f $$1*.class"; \
		rm -f *.class; \
		for PACKAGE in *; do \
 			if [ -d $$PACKAGE -a ! -h $$PACKAGE ]; then \
				cd $$PACKAGE; \
				doclean $$1$$PACKAGE/; \
				cd ..; \
			fi; \
		done; \
	}; \
	doclean "";

Generates this:
---------------------
$ make clean
rm -f *.class
[: Defines.java: unknown operand
[: base: unknown operand
[: dal: unknown operand
[: dataaccess: unknown operand
[: dbutil: unknown operand
[: genethesaurus: unknown operand
[: geneworld: unknown operand
[: gui: unknown operand
[: javacgi: unknown operand
[: makefile: unknown operand
[: makefile~: unknown operand
[: registry: unknown operand
[: server: unknown operand
[: ui: unknown operand
[: util: unknown operand
[/builder/GTBuildStage/pangea]
$

-- 
Kelly Felkins                    Pangea Systems, Inc.
[email-masked]         (510) 628-0107x245

The older I grow the more I distrust the familiar doctrine that age
brings wisdom.
---- H. L. Mencken
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".